---
title: KeyboardLayoutMap.forEach()
slug: Web/API/KeyboardLayoutMap/forEach
tags:
  - API
  - Experimental
  - Keyboard API
  - Keyboard Map
  - KeyboardLayoutMap
  - Method
  - Reference
  - forEach()
  - keyboard
---
<div>{{APIRef("Keyboard API")}}{{SeeCompatTable}}</div>

<p><span class="seoSummary">The <strong><code>forEach()</code></strong> method of the {{domxref('KeyboardLayoutMap')}} interface executes a provided function once for each element of the map.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>KeyboardLayoutMap</var>.forEach(function <var>callback(currentValue[, index[, array]]) {
    //your iterator
}</var>[, <var>thisArg</var>]);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
	<dt><code>callback</code></dt>
	<dd>The function to execute for each element, taking three arguments:
	<dl>
		<dt><code>currentValue</code></dt>
		<dd>The value of the current element being processed.</dd>
		<dt><code>index</code> {{optional_inline}}</dt>
		<dd>The index of the current element being processed.</dd>
		<dt><code>array</code> {{optional_inline}}</dt>
		<dd>The KeyboardLayoutMap that <code>forEach()</code> is being called on.</dd>
	</dl>
	</dd>
	<dt><code>thisArg</code> {{Optional_inline}}</dt>
	<dd>
	<p>Value to use as <code><strong>this</strong></code> (i.e the reference <code>Object</code>) when executing <code>callback</code>.</p>
	</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>{{jsxref("undefined")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Keyboard Map','#keyboardlayoutmap-interface','forEach()')}}</td>
			<td>{{Spec2('Keyboard Map')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.KeyboardLayoutMap.forEach")}}</p>
